package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.project.Project;
import com.sunxung.factoring.entity.sys.Dictionary;

import javax.validation.constraints.NotNull;

/**
 * @Description : 采购合同管理表
 * @Author : JiaYf
 * @Date: 2021-09-22 11:35
 */
@TableName("c_purch_contract_management")
public class PurchContractManagement extends Project {
    private static final long serialVersionUID = 1L;

    /**
     * 供应商id
     **/
    @TableField("c_supplier_info_id")
    private Long supplierId;

    /**
     * 合同状态
     */
    @TableField("contract_status")
    private String contractStatus;


    /**
     * 是否发生变更标识、默认为否
     */
    @TableField("is_change")
    private Integer isChange;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;


    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public Integer getIsChange() {
        return isChange;
    }

    public void setIsChange(Integer isChange) {
        this.isChange = isChange;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
}
